{ config, pkgs, lib, inputs, ... }:
{
  programs.chromium = {
    enable = true;
    package = pkgs.ungoogled-chromium;
    commandLineArgs = [
      "--extension-mime-request-handling=always-prompt-for-install" # Enable Extension-Install Dialogue
      "--enable-features=ClearDataOnExit,NoReferrers,SpoofWebGLInfo" # Feature Flags
      "--no-default-browser-check"
    ];
    extensions = [
      { # Chromium Web Store
        id = "ocaahdebbfolfmndjeplogmgcagdmblk";
        updateUrl = "https://github.com/NeverDecaf/chromium-web-store/releases/latest/download/Chromium.Web.Store.crx";
      }
      { id = "cjpalhdlnbpafiamejdnhcphjbkeiagm"; } # uBlock Origin
      { id = "edibdbjcniadpccecjdfdjjppcpchdlm"; } # I still don't care about cookies
      { id = "oboonakemofpalcgghocfoadofidjkkk"; } # KeePassXC-Browser
      { id = "oldceeleldhonbafppcapldpdifcinji"; } # LanguageTool
      { id = "eimadpbcbfnmbkopoojfekhnkhdbieeh"; } # dark reader
    ];
  };
}
