{ config, pkgs, lib, inputs, ... }:
{
  imports =  [
    ./firefox.nix
    ./chromium.nix
  ];
  home.username = "kb";
  home.homeDirectory = "/home/kb";
  home.packages = with pkgs; [
    # System
    kdePackages.kate
    kdePackages.kcalc
    # Office
    thunderbird
    libreoffice
    logseq
    # Security
    gnupg
    keepassxc
    pass-wayland
    veracrypt
    protonvpn-gui
    # Media
    freetube
    inkscape
    blender
    obs-studio
    cheese
    gimp
    vlc
    kid3
    #calibre
    spotify-player
    tidal-hifi
    # Messengers
    element-desktop # Matrix Client
    telegram-desktop
    signal-desktop
    webcord
    # Customization
    razergenie
    firefoxpwa
    # Development
    vscodium
    scrcpy
    # Experiments
    yazi # Terminal File-Manager
    # Gaming
    ryujinx # Experimental Nitendo Switch Emulator
    mangohud
    prismlauncher
    # Terminal Tools
    tmux
    mosh
    btop
    fastfetch
    kb-one.olympus
  ];

  services.syncthing.enable = true;
  services.syncthing.extraOptions = [
    "--config=/home/kb/.config/syncthing"
    "--data=/home/kb/sync"
  ];
  services.safeeyes.enable = true;

  services.gpg-agent.enable = true;

  services.ssh-agent.enable = true;

  home.stateVersion = "24.05";
}
