{ config, pkgs, lib, inputs, ... }:
{
  # SSH Configuration
  services.ssh-agent.enable = true;
  programs.ssh.enable = true;
  programs.ssh.matchBlocks."kb01@kb-one-git" = {
    host = "git.kb-one.de";
    user = "git";
    identityFile = "~/.ssh/kb01@kb-one-git";
    port = 9522;
  };
  programs.ssh.matchBlocks."kb01@0x90-git" = {
    host = "git.0x90.space";
    user = "git";
    identityFile = "~/.ssh/kb01@0x90-git";
  };
  programs.ssh.matchBlocks."master@pkpnafs" = {
    host = "pkpnafs";
    hostname = "pkpnafs.kb-one.de";
    user = "master";
    identityFile = "~/.ssh/master@pkpnafs";
    port = 3422;
  };
  programs.ssh.matchBlocks."master@kb-web-01" = {
    host = "kb-web-01";
    hostname = "kb-one.de";
    user = "master";
    identityFile = "~/.ssh/master@kb-web-01";
    port = 2222;
  };
  programs.ssh.matchBlocks."remoteunlock-senfnvp" = {
    host = "remoteunlock-senfnvp";
    hostname = "senfnvp.kb-one.de";
    user = "root";
    identityFile = "~/.ssh/remoteunlock-senfnvp";
    port = 7299;
  };
  programs.ssh.matchBlocks."master@senfnvp" = {
    host = "senfnvp";
    hostname = "senfnvp.kb-one.de";
    user = "master";
    identityFile = "~/.ssh/master@senfnvp";
    port = 9553;
  };
  programs.ssh.matchBlocks."master@mow0m" = {
    host = "mow0m";
    hostname = "mow0m.lan";
    user = "master";
    identityFile = "~/.ssh/master@mow0m";
    port = 9553;
  };
}
