{ stdenv, fetchurl, unzip }:
# Source: https://github.com/Lykos153/numen-nix
stdenv.mkDerivation {
  name = "vosk-model-small-en-us";
  version = "0.15";
  src = fetchurl {
    url = "https://alphacephei.com/vosk/models/vosk-model-small-de-0.15.zip";
    sha256 = "sha256-t+U8kLHwo4RW9M1is2bs1YgDzZfNQrBkOOLBMXE9XkM=";
  };
  nativeBuildInputs = [ unzip ];
  unpackCmd = "unzip $curSrc";

  installPhase = ''
    mkdir -p $out/usr/share/vosk-models
    cp -r . $out/usr/share/vosk-models/small-de
  '';
}
